package com.example.pulit.dialog;

import android.app.ProgressDialog;
import android.content.Context;
import android.view.Window;

/**
 * @author: wangh
 * @description:    网路请求dialog
 * @date: 2019/08/06-17:53
 */
public class MyDialog {
    private  ProgressDialog dialog;
    private Context context;


    public MyDialog(Context context) {
        this.context = context;
        dialog = new ProgressDialog(context);
        dialog.requestWindowFeature(Window.FEATURE_NO_TITLE);
        dialog.setCanceledOnTouchOutside(false);
        dialog.setProgressStyle(ProgressDialog.STYLE_SPINNER);
        dialog.setMessage("请求网络...");
    }

    public  void show(){
        dialog.show();
    }
     public  void dismiss(){
        dialog.dismiss();
    }

}
