package com.example.pulit.dialog;

import android.app.Dialog;
import android.content.Context;
import android.net.IpPrefix;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;

import androidx.annotation.NonNull;

import com.example.pulit.R;
import com.example.pulit.util.SharedPreferencesUtils;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

/**
 * @author wanghao
 * @date 2022/11/7  16:24
 */
public class SettingIPDialog extends Dialog {
    @BindView(R.id.dialog3_info)
    EditText dialog3Info;
    private String ipAddress;

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public SettingIPDialog(@NonNull Context context) {
        super(context, R.style.CustomDialog);
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.dialog_edit);
        ButterKnife.bind(this);
        setCanceledOnTouchOutside(false);
    }

    @OnClick({R.id.dialog3_button2, R.id.dialog3_button1})
    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.dialog3_button2:

                break;
            case R.id.dialog3_button1:

                SharedPreferencesUtils.putstring("ip",dialog3Info.getText().toString());
                break;
        }
        dismiss();
    }

    @Override
    public void show() {
        super.show();
        dialog3Info.setText(ipAddress);
    }


}
