package com.example.pulit.dialog;

import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import com.example.pulit.R;


/**
 * @author: wangh
 * @description:
 * @date: 2019-11-05 17:21
 */
public class TipDialog2 extends Dialog {


    TextView dialogInfo, button;
    private CallBack callBack;
    String epc;

    public TipDialog2(Context context) {
        super(context, R.style.CustomDialog);
    }

    public void setCallBack(CallBack callBack) {
        this.callBack = callBack;
    }

    public void setEpc(String epc) {
        this.epc = epc;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.dialog_layout2);
        setCanceledOnTouchOutside(false);
        dialogInfo = findViewById(R.id.dialog_info);
        button = findViewById(R.id.dialog_button);
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                callBack.showSave(epc);
            }
        });
        button = findViewById(R.id.dialog_button2);
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                dismiss();
            }
        });

    }

    public interface CallBack {
        void showSave(String epc);
    }
}
