package com.example.pulit.entity;

import java.util.List;

/**
 * @author wanghao
 * @date 2023/8/8  13:54
 */
public class PlanView {
    private int Mid;//物料下发排序ID
    private String  Plan_Id;	//计划ID
    private int Plan_Num;//计划执行数量
    private int Real_Num;//实际执行数量
    private int Plan_Serial;//计划序号，我拿来传给PLC作为了唯一值
    private String Plan_Date;//计划执行时间
    private int Plan_State;// 计划执行状态
    private String Plan_StateText;//中文状态标识
    private double Plan_TotalError;//合计误差
    private double Plan_TotalWeight;//合计重量
    private String RecipeID;//配方ID
    private String Recipe_Serial;//配方序列
    private String Recipe_Name;//配方名称
    private String Version;//版本
    private String Recipe_Verify;//否是在计划中展示
    private double Total_Weight;//配方重量
    private double Total_Error;//配方误差
    private String MaterialID;//物料ID
    private String Material_name;//;物料
    private double Set_Weight;//设置重量
    private double Set_Error;//设置误差
    private String Material_code;
    private int RMatCode;//物料编码

    private String  Code;//匹配物料编码

    private String MaterialName;//匹配物料名称

    private double MaterialWeight;//匹配物料重量

    private String WholeMaterial;
    private int State;
    private String Weighbridge;//9.25新增 地磅
    private String CylinderBarCode;//9.25新增 地磅

    private boolean Exist;
    private String Rate;
    private List<String> barCodeList;

    public List<String> getBarCodeList() {
        return barCodeList;
    }

    public void setBarCodeList(List<String> barCodeList) {
        this.barCodeList = barCodeList;
    }

    public String getCylinderBarCode() {
        return CylinderBarCode;
    }

    public void setCylinderBarCode(String cylinderBarCode) {
        CylinderBarCode = cylinderBarCode;
    }

    public String getWeighbridge() {
        return Weighbridge;
    }

    public void setWeighbridge(String weighbridge) {
        Weighbridge = weighbridge;
    }

    public int getMid() {
        return Mid;
    }

    public String getMaterial_code() {
        return Material_code;
    }

    public void setMaterial_code(String material_code) {
        Material_code = material_code;
    }

    public void setMid(int mid) {
        Mid = mid;
    }

    public String getPlan_Id() {
        return Plan_Id;
    }

    public void setPlan_Id(String plan_Id) {
        Plan_Id = plan_Id;
    }

    public int getPlan_Num() {
        return Plan_Num;
    }

    public void setPlan_Num(int plan_Num) {
        Plan_Num = plan_Num;
    }

    public int getReal_Num() {
        return Real_Num;
    }

    public void setReal_Num(int real_Num) {
        Real_Num = real_Num;
    }

    public int getPlan_Serial() {
        return Plan_Serial;
    }

    public void setPlan_Serial(int plan_Serial) {
        Plan_Serial = plan_Serial;
    }

    public String getPlan_Date() {
        return Plan_Date;
    }

    public void setPlan_Date(String plan_Date) {
        Plan_Date = plan_Date;
    }

    public int getPlan_State() {
        return Plan_State;
    }

    public void setPlan_State(int plan_State) {
        Plan_State = plan_State;
    }

    public String getPlan_StateText() {
        return Plan_StateText;
    }

    public void setPlan_StateText(String plan_StateText) {
        Plan_StateText = plan_StateText;
    }

    public double getPlan_TotalError() {
        return Plan_TotalError;
    }

    public void setPlan_TotalError(double plan_TotalError) {
        Plan_TotalError = plan_TotalError;
    }

    public double getPlan_TotalWeight() {
        return Plan_TotalWeight;
    }

    public void setPlan_TotalWeight(double plan_TotalWeight) {
        Plan_TotalWeight = plan_TotalWeight;
    }

    public String getRecipeID() {
        return RecipeID;
    }

    public void setRecipeID(String recipeID) {
        RecipeID = recipeID;
    }

    public String getRecipe_Serial() {
        return Recipe_Serial;
    }

    public void setRecipe_Serial(String recipe_Serial) {
        Recipe_Serial = recipe_Serial;
    }

    public String getRecipe_Name() {
        return Recipe_Name;
    }

    public void setRecipe_Name(String recipe_Name) {
        Recipe_Name = recipe_Name;
    }

    public String getVersion() {
        return Version;
    }

    public void setVersion(String version) {
        Version = version;
    }

    public String getRecipe_Verify() {
        return Recipe_Verify;
    }

    public void setRecipe_Verify(String recipe_Verify) {
        Recipe_Verify = recipe_Verify;
    }

    public double getTotal_Weight() {
        return Total_Weight;
    }

    public void setTotal_Weight(double total_Weight) {
        Total_Weight = total_Weight;
    }

    public double getTotal_Error() {
        return Total_Error;
    }

    public void setTotal_Error(double total_Error) {
        Total_Error = total_Error;
    }

    public String getMaterialID() {
        return MaterialID;
    }

    public void setMaterialID(String materialID) {
        MaterialID = materialID;
    }

    public String getMaterial_name() {
        return Material_name;
    }

    public void setMaterial_name(String material_name) {
        Material_name = material_name;
    }

    public double getSet_Weight() {
        return Set_Weight;
    }

    public void setSet_Weight(double set_Weight) {
        Set_Weight = set_Weight;
    }

    public double getSet_Error() {
        return Set_Error;
    }

    public void setSet_Error(double set_Error) {
        Set_Error = set_Error;
    }

    public int getRMatCode() {
        return RMatCode;
    }

    public void setRMatCode(int RMatCode) {
        this.RMatCode = RMatCode;
    }

    public String getCode() {
        return Code;
    }

    public void setCode(String code) {
        Code = code;
    }

    public String getMaterialName() {
        return MaterialName;
    }

    public void setMaterialName(String materialName) {
        MaterialName = materialName;
    }

    public double getMaterialWeight() {
        return MaterialWeight;
    }

    public void setMaterialWeight(double materialWeight) {
        MaterialWeight = materialWeight;
    }

    public String getWholeMaterial() {
        return WholeMaterial;
    }

    public void setWholeMaterial(String wholeMaterial) {
        WholeMaterial = wholeMaterial;
    }

    public int getState() {
        return State;
    }

    public void setState(int state) {
        State = state;
    }

    public boolean isExist() {
        return Exist;
    }

    public void setExist(boolean exist) {
        Exist = exist;
    }

    public String getRate() {
        return Rate;
    }

    public void setRate(String rate) {
        Rate = rate;
    }

    @Override
    public String toString() {
        return "PlanView{" +
                "Mid=" + Mid +
                ", Plan_Id='" + Plan_Id + '\'' +
                ", Plan_Num=" + Plan_Num +
                ", Real_Num=" + Real_Num +
                ", Plan_Serial=" + Plan_Serial +
                ", Plan_Date='" + Plan_Date + '\'' +
                ", Plan_State=" + Plan_State +
                ", Plan_StateText='" + Plan_StateText + '\'' +
                ", Plan_TotalError=" + Plan_TotalError +
                ", Plan_TotalWeight=" + Plan_TotalWeight +
                ", RecipeID='" + RecipeID + '\'' +
                ", Recipe_Serial='" + Recipe_Serial + '\'' +
                ", Recipe_Name='" + Recipe_Name + '\'' +
                ", Version='" + Version + '\'' +
                ", Recipe_Verify='" + Recipe_Verify + '\'' +
                ", Total_Weight=" + Total_Weight +
                ", Total_Error=" + Total_Error +
                ", MaterialID='" + MaterialID + '\'' +
                ", Material_name='" + Material_name + '\'' +
                ", Set_Weight=" + Set_Weight +
                ", Set_Error=" + Set_Error +
                ", Material_code='" + Material_code + '\'' +
                ", RMatCode=" + RMatCode +
                ", Code='" + Code + '\'' +
                ", MaterialName='" + MaterialName + '\'' +
                ", MaterialWeight=" + MaterialWeight +
                ", WholeMaterial='" + WholeMaterial + '\'' +
                ", State=" + State +
                ", Weighbridge='" + Weighbridge + '\'' +
                ", CylinderBarCode='" + CylinderBarCode + '\'' +
                ", IsRate=" + isExist() +
                ", Rate='" + Rate + '\'' +
                '}';
    }
}
